/*
 * @Description: 柱状图
 * @Author: li.kexin
 * @Date: 2021-05-14 14:06:07
 */
import _ from "lodash";
// @ts-ignore
import { Column } from "@antv/g2plot/lib/plots/column";

const defaultConfig = {
  xField: "type",
  yField: "sales",
  label: {
    // 可手动配置 label 数据标签位置
    position: "middle", // 'top', 'bottom', 'middle',
    // 配置样式
    style: {
      fill: "#FFFFFF",
      opacity: 0.6,
    },
  },
  xAxis: {
    label: {
      autoHide: false,
      autoRotate: true,
    },
  },
};

const changeData = (data: any, config: any) => {
  return {
    data,
    ..._.merge(defaultConfig, config),
  };
};

class AnyBar extends Column {
  constructor(container: string, data: any, config: any) {
    super(container, changeData(data, config));
  }
}

export default AnyBar;
